.paccueil{
    margin: 24px 0px;
    display: flex;
    gap: 1px;
    flex-direction: column;
    position: relative;
    z-index: 1;
}
.paccueil > .gensmall,
.paccueil > .pabottom { z-index: 1; }

.paccueil:after{
  width: 100%;
  max-width: 100%;
  height: 164px;
  background-image: url("https://mikrokosmos-rpg.gitlab.io/isekai-monogatari/v10/assets/quadrillage.svg");
  background-size: 100% auto;
  background-position: center bottom;
  background-repeat: no-repeat;
  display: block;
  content: " ";
  position: absolute;
  bottom: -88px;
  z-index: 0;
  background-blend-mode: difference !important;
  mix-blend-mode: difference !important;
  transition: var(--transi);
}
body.dark .paccueil:after { filter: invert(0); }
body.light .paccueil:after { filter: invert(1); }

div.patitre{
    display: grid;
    width: 100%;
    grid-template-columns: max-content auto;
    align-items: flex-end;
    grid-gap: 130px;
}
.paccueil h2.titre{
    margin: 0px 16px 24px 16px;
    display: flex;
    align-items: flex-end;
}
.paccueil h2.titre:before{
    display: block;
    content: " ";
    width: 96px;
    height: 96px;
    background-size: 100% 100%;
    background-position: center;
    background-repeat: no-repeat;
    transition: var(--transi);
}
body.dark .paccueil h2.titre:before{ background-image: url(assets/etoiles_white.svg); }
body.light .paccueil h2.titre:before{ background-image: url(assets/etoiles_black.svg); }
.paccueil h2.titre span{
    font-family: var(--special-font);
    color: var(--tx_contrast);
    text-transform: uppercase;
    font-size: 36px;
    line-height: 32px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}
div.pabottom{
    display: grid;
    grid-gap: 32px;
    grid-template-columns: minmax(620px,870px) minmax(538px, auto);
}
div.pabottom div.partenaires{
    background: var(--neutral_1);
    padding: 8px 24px;
    display: grid;
    grid-template-columns: auto 1px 96px;
    grid-gap: 16px;
    border-radius: 0px 0px 16px 0px;
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    align-items: center;
    color: var(--tx_contrast);
}
div.pabottom div.partenaires:after {
    display: block;
    width: 1px;
    content: " ";
    background-image: var(--gradient_vert);
    height: 100%
}
div.pabottom div.partenaires div.liste{
    display: grid;
    grid-template-columns: max-content auto 272px;
    grid-gap: 8px;
    align-items: center;
    width: 100%;
}
div.pabottom div.partenaires div.liste:after {
    display: block;
    height: 1px;
    content: " ";
    background-image: var(--gradient);
    width: 100%;
}

div.pabottom div.partenaires div.liste form.partenaires-liste{
    display: grid;
    align-items: center;
    grid-gap: 8px;
    grid-template-columns: auto 40px;
    margin: 0;
    order: 3;
}
div.pabottom div.partenaires div.liste form.partenaires-liste select{
    background-color: var(--neutral_2);
    background-size: 8px 8px;
    background-position: 208px center;
    background-repeat: no-repeat;
    font-size: 10px;
    line-height: 16px;
    padding: 4px 8px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    appearance: none;
    width: 224px;
}
body.dark div.pabottom div.partenaires div.liste form.partenaires-liste select{
    background-image: url("https://mikrokosmos-rpg.gitlab.io/isekai-monogatari/icons/icon-chevron-down-white.svg");
}
body.light div.pabottom div.partenaires div.liste form.partenaires-liste select{
    background-image: url("https://mikrokosmos-rpg.gitlab.io/isekai-monogatari/icons/icon-chevron-down-solid.svg");
}
div.pabottom div.partenaires div.liste form.partenaires-liste button{
    margin: 0;
    width: 40px;
    display: inline-block;
    padding: 4px 8px;
    background-image: var(--gradient);
    background-position: center left;
    background-size: 200% 100%;
    line-height: 16px;
    border-radius: 4px;
    color: white;
    font-size: 10px;
    text-transform: uppercase;
    font-weight: 600;
    letter-spacing: 0.5px;
    transition: var(--transi);
}
div.pabottom div.partenaires div.liste form.partenaires-liste button:hover{
    background-position: center right;
}
div.pabottom div.partenaires > a{
    text-align: center;
    display: inline-block;
    color: var(--tx_contrast);
    border: 1px solid var(--tx_contrast);
    background-color: transparent;
    padding: 0px 6px;
    border-radius: 4px;
    transition: var(--transi);
    order: 3;
}
div.pabottom div.partenaires > a:hover{
    border: 1px solid var(--co2);
    background-color: var(--co2);
    color: white;
}

div.pabottom div.liens{
    padding: 8px 24px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}
div.pabottom div.liens a{
    text-transform: uppercase;
    font-size: 10px;
    letter-spacing: 0.5px;
    font-weight: 500;
    display: inline-block;
}
div.pabottom div.liens a:not(:last-of-type){
    margin-right: 16px;
    padding-right: 16px;
    border-right: 1px solid rgba(var(--blanc_rgb),0.2);
}

.pa{
    display: grid;
    grid-template-columns: 540px auto;
    grid-gap: 16px;
    background: var(--transp_1);
    padding: 16px;
    backdrop-filter: blur(8px);
    box-shadow: var(--boxshadow);
}
.pa div.col1{
    display: grid;
    grid-template-columns: 224px auto;
    grid-gap: 16px;
}

/* -- MENU -- */
.pa div.menu{
    font-size: 10px !important;
    display: flex;
    flex-direction: row;
    gap: 0;
    height: auto;
}
.pa div.menu a{
    color: var(--tx_contrast);
    display: grid;
    width: 100%;
    grid-template-columns: auto 16px;
    align-items: center;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    font-weight: 500;
    line-height: 19px;
    padding: 8px 8px 8px 12px;
    border-radius: 0px;
    border-top: rgba(var(--blanc_rgb),0.2) 1px solid;
    background: linear-gradient(90deg, transparent 0%, transparent 100%);
    transition: none;
}
.pa div.menu a:first-child{ border-top: 0!important; }
.pa div.menu a:hover{
    border-top: 0!important;
    line-height: 20px;
    border-radius: 8px;
    color: white;
    font-weight: 600;
    background: linear-gradient(90deg, var(--co2_dark) 0%, var(--co2_light) 100%);
}
.pa div.menu a:hover+a{
    border-top: 0!important;
    line-height: 20px;
}

/* --- CONTEXTE --- */
.pa div.contexte{
    display: grid;
    grid-template-rows: 32px auto 40px;
    grid-gap: 1px;
    border-radius: 8px;
    overflow: hidden;
}
.pa div.contexte span.titre.small {
    background: var(--neutral_1);
    padding: 8px 12px;
    line-height: 16px;
    height: 32px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 4px;
}
.pa div.contexte span.titre.small span {
    display: inline-block;
    background: var(--gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: 0 0 #00000000;
}
.pa div.contexte span.titre.small ion-icon {
    padding: 2px;
    background: var(--co1);
    color: white;
    font-size: 8px;
    line-height: 16px;
    border-radius: 2px;
}
.pa div.contexte div.content{
    max-height: 142px;
    overflow: auto;
    padding: 12px;
    background: var(--transp_1);
}
.pa div.contexte div.content div{
    padding: 0px 8px 8px 12px;
    background: var(--neutral_1);
    border-radius: 8px;
    max-height: 118px;
    overflow: auto;
    border-top: 8px solid var(--neutral_1);
    border-right: 8px solid var(--neutral_1);
    font-size: 12px;
    line-height: 18px;
    color: #878787;
}
.pa div.contexte div.content div::-webkit-scrollbar-thumb{ 
    background: var(--gradient_vert);
}
.pa div.contexte div.content div strong{
    color: var(--tx_contrast);
    font-size: 10px;
    letter-spacing: 0.5px;
    line-height: 18px;
}
.pa div.contexte div.content div a{
    display: inline-flex;
    gap: 4px;
    align-items: center;
    color: var(--co2);
    text-transform: uppercase;
    font-size: 10px;
    line-height: 18px;
    letter-spacing: 0.5px;
    font-weight: 500;
    transition: var(--transi);
}
.pa div.contexte div.content div a:hover{ color: var(--co1); }
.pa div.contexte div.footer{
    color: var(--tx_contrast);
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.5px;
    background: var(--neutral_1);
    padding: 8px 12px;
    display: grid;
    grid-template-columns: max-content max-content;
    justify-content: space-between;
    align-items: center;
}
.pa div.contexte div.saison{
    display: flex;
    gap: 4px;
    align-items: center;
}
.pa div.contexte div.meteo{
    background: var(--neutral_2);
    padding: 4px 12px;
    border-radius: 12px;
    display: grid;
    grid-template-columns: max-content max-content;
    grid-gap: 8px;
    font-size: 10px;
    line-height: 16px;
    width: 92px;
    align-items: center;
    justify-content: center;
}
.pa div.contexte div.meteo span:first-child{
    display: grid;
    grid-template-columns: max-content 1px;
    grid-gap: 8px;
}
.pa div.contexte div.meteo span:first-child::after{
    display: block;
    height: 16px;
    width: 1px;
    content: " ";
    background: var(--gradient_vert);
}


.pa div.col2{
    display: grid;
    grid-template-columns: auto minmax(224px, 320px);
    grid-gap: 16px;
}
.pa div.col2 div.col2_1{
    display: grid;
    grid-template-rows: auto 32px;
    grid-gap: 8px;
}

/* --- NEWS --- */
.pa_news {
    background: var(--transp_1);
    border-radius: 8px;
    display: block;
    overflow: hidden;
    height: 176px;
}
.pa_news > div {
    padding: 12px;
    display: block;
    overflow: auto;
    height: 100%;
    white-space: nowrap;
}
.pa_news > div::-webkit-scrollbar { height: 1px!important; }
.pa_news > div::-webkit-scrollbar-thumb { background: var(--gradient)!important; }
.pa_news > div > a:not(:last-of-type) {
    margin-right: 8px!important;
}
.pa_news > div > a {
    background: var(--neutral_1);
    border-radius: 8px;
    height: 151px;
    width: 144px;
    position: relative;
    overflow: hidden;
    display: inline-block;
}
.pa_news > div > a > img {
    position: absolute;
    width: 102%;
    height: 102%;
    object-fit: cover;
    z-index: 1;
    opacity: 0.7;
    transform: scale(100%);
    transition: var(--transi);
    filter: grayscale(1);
}
.pa_news > div > a:hover > img {
    transform: scale(110%);
    filter: grayscale(0);
}
.pa_news > div > a > span {
    position: absolute;
    top: 0px;
    left: 0px;
    display: flex;
    width: 100%;
    height: 100%;
    padding: 16px 12px;
    z-index: 2;
    flex-direction: column;
    gap: 8px;
    justify-content: flex-end;
    text-align: left;
    transition: var(--transi);
    background-color: var(--transp_1);
}

.pa_news > div > a > span > span {
    transition: var(--transi);
    color: var(--tx_contrast);
}
.pa_news > div > a > span > span:first-child {
    font-family: var(--special-font);
    font-size: 20px;
    line-height: 24px;
    font-feature-settings: 'ss04' on;
    color: var(--tx_contrast);
    display: block;
    white-space: break-spaces;
}
.pa .small {
    font-size: 10px;
    line-height: 16px;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    font-weight: 500;
    color: var(--tx_contrast);
}
.pa_news > a > span:after {
    display: block;
    content: " ";
    position: relative;
    height: 1px;
    width: 44px;
    background: linear-gradient(to left, var(--co2) 0%, var(--co1) 50%, var(--co2) 100%);
    background-size: 200%;
    background-position: center left;
    transition: var(--transi);
}

/* --- TOP SITES --- */
.topsites {
    width: 100%;
    display: grid;
    grid-gap: 8px;
    grid-template-columns: 16px 94px 1fr max-content;
    align-items: center;
    justify-content: center;
}
.topsites ion-icon {
    color: var(--tx_contrast);
    align-self: center;
    text-align: center;
    justify-self: center;
}
.topsites span {
    display: block;
    line-height: 32px;
    font-size: 10px;
    text-transform: uppercase;
    letter-spacing: 0.05em;
    font-weight: 500;
    color: var(--tx_contrast);
}
.topsites hr {
    height: 1px;
    width: auto;
    background: var(--gradient);
    border: 0 none transparent;
}
.topsites .boutons {
    gap: 8px;
    display: flex;
}
.topsites .boutons > a {
    display: block;
    text-align: center;
    width: 24px;
    height: 24px;
    border-radius: 4px;
    background: var(--neutral_1);
    line-height: 24px;
    font-weight: 500;
    color: var(--tx_content);
    transition: var(--transi);
    text-transform: uppercase;
    letter-spacing: 0.05em;
    font-size: 10px;
}
.topsites .boutons > a:hover {
    background-color: var(--co2);
    color: white;
    font-weight: 600;
}

/* --- LISTE PRE LIENS --- */
.pa .actus_pls{
    display: grid;
    grid-gap: 1px;
    border-radius: 8px;
    grid-template-rows: 32px auto;
    backdrop-filter: blur(6px);
    overflow: hidden;
}
.pa .actus_pls span.titre.small{
    background: var(--neutral_1);
    padding: 8px 12px;
    line-height: 16px;
    height: 32px;
    font-weight: 600;
    display: flex;
    align-items: center;
    gap: 4px;
}
.pa .actus_pls span.titre.small span{
    display: inline-block;
    background: var(--gradient);
    background-clip: text;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    text-shadow: 0 0 #00000000;
}
.pa .actus_pls span.titre.small ion-icon {
    padding: 2px;
    background: var(--co1);
    color: white;
    font-size: 8px;
    line-height: 16px;
    border-radius: 2px;
}
.pa .actus_pls div{
    max-height: 183px;
    padding-bottom: 8px;
    overflow-x: auto;
    padding-right: var(--spacing-s);
    background: var(--transp_1);
    padding: 8px 12px;
}
.pa .actus_pls a{
  background-color: var(--neutral_1);
  margin-bottom: var(--spacing-xs);
  height: 24px;
  line-height: 20px;
  position: relative;
  overflow: hidden;
  text-align: left;
  display: block;
  padding: 11px var(--spacing-s);
  font-weight: 500;
  color: var(--tx_contrast);
  border-radius: var(--spacing-xs);
  font-size: 10px;
  text-transform: uppercase;
  letter-spacing: 0.5px;
  transition: var(--transi);
  min-height: 16px;
}
.pa .actus_pls a:hover { background-color: var(--neutral_1); }
.pa .actus_pls a:hover span.pa_pls_author{ top: 1px; }
.pa .actus_pls a span.pa_pls_title,
.pa .actus_pls a span.pa_pls_author{ 
  position: absolute;
  transition: var(--transi);
  color: var(--tx_contrast);
}
.pa .actus_pls a span.pa_pls_title { top: 3px; }
.pa .actus_pls a:hover span.pa_pls_title { top: -25px; }
.pa .actus_pls a span.pa_pls_author { top: 25px; }
.pa .actus_pls a:hover span.pa_pls_author { top: 2px; }
.pa .actus_pls a span.pa_pls_author author {
  top: 20px;
  font-family: var(--secondary-font);
  font-size: initial;
  text-transform: lowercase;
  font-style: italic;
  font-weight: 400;
  text-shadow: 0 0 var(--spacing-xs) white;
  color: var(--tx_content);
}
.pa .actus_pls div::-webkit-scrollbar-thumb{ background: var(--gradient_vert); }
.pa .actus_pls a:last-of-type { margin-bottom: 0px; }
